4371: SnapAPI Module Does Not Compile on Kernel 2.6.18-164

Also read in:

use Google Translate

Operating Systems: 

Compiling the necessary SnapAPI modules for Acronis Backup & Recovery 10 fails on Red Hat Linux Enterprise (RHEL) 5.4 and CentOS 5.4 systems

This article applies to:

  • Acronis Backup & Recovery 10 Advanced Server (Agent for Linux)
  • Acronis Backup & Recovery 10 Server for Linux (Standalone)
  • Acronis Backup & Recovery 10 Advanced Server - Virtual Edition (Agent for Linux)
  • Acronis True Image Echo Virtual Edition (Agent for Linux)
  • Acronis True Image Echo Enterprise Server (Agent for Linux)
  • Acronis True Image Echo Server for Linux
  • Acronis True Image 9.1 Enterprise Server (Agent for Linux)
  • Acronis True Image 9.1 Server for Linux

Symptoms

SnapAPI cannot be compiled on kernel 2.6.18-164, which is part of the updated Red Hat Linux Enterprise (RHEL) 5.4 and CentOS 5.4 systems.

The error message is similar to the following one:

SnapAPI cannot be compiled

Cause

In kernel 2.6.18-164 there were introduced many changes in the implementation of file systems. As a result, SnapAPI fails to be compiled.

Solution

Acronis Backup & Recovery 10

Support for kernel 2.6.18-164 has been implemented in the latest build of Acronis Backup & Recovery 10 (Builld 11345 or higher). Please download it and install to fix the issue. See Downloading the Latest Build of Acronis Software.

Acronis True Image Echo, Acronis True Image 9.1

More information

See also:

Tags: 

You are reporting a typo in the following text:
Simply click the "Send typo report" button to complete the report. You can also include a comment.
CAPTCHA
This question is for testing whether or not you are a human visitor and to prevent automated spam submissions.
3 + 8 =
Solve this simple math problem and enter the result. E.g. for 1+3, enter 4.